
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>发表于dW的教程之开放源代码的服务框架 - Apache CXF 简介 / iVAN</title>

    <meta name="description" content="发表于dW的教程之开放源代码的服务框架 - Apache CXF 简介 http://www.ibm.com/developerworks/cn/edu/j-dw-java-cxf.html 本教程介绍了 Apache CXF 服务框架的基本知识,并通过讲解自带的例子来初步体验通过 CXF 进行服务的发布与消费:然后搭建基于 Eclipse 的 Apache CXF 开发环境,并通过一个&quot;调查投票&quot;示例应用程序来演示 CXF 整合 Spring 2.0 的基本开发过程. 在本教程中 SOA 目前已经成为了人人皆知的热点,对分析人员来讲,SOA 重 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">发表于dW的教程之开放源代码的服务框架 - Apache CXF 简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>http://www.ibm.com/developerworks/cn/edu/j-dw-java-cxf.html</p>
<p>本教程介绍了 Apache CXF 服务框架的基本知识，并通过讲解自带的例子来初步体验通过 CXF 进行服务的发布与消费；然后搭建基于 Eclipse 的 Apache CXF 开发环境，并通过一个“调查投票”示例应用程序来演示 CXF 整合 Spring 2.0 的基本开发过程。</p>
<p>在本教程中</p>
<p>SOA 目前已经成为了人人皆知的热点，对分析人员来讲，SOA 重点需要加强对业务服务的分析；各种不同的服务是 SOA 的重要基础；ESB 则提供了一个舞台，让各种异构系统的业务服务在这里进行实际业务的展现、集成等。对开发人员来讲，如何更快速地创建出更稳定的业务服务组件是关键；应该更 加深入领会使用面向接口的组件化开发方式；开发人员重点是保障服务的生命周期，其它的事情则让业务开发人员来做。</p>
<p>SOA 的重点在于服务的重用，更高一级层次的重用则属于业务层次了。但是对于开发人员来说，重用的层次需要自己掌握与提升，从代码级到组件级、再到业务层次等。</p>
<p>本 教程将采取从简单到复杂，知识点和实际代码相结合的方式。先讲述一些简单的概念和代码，使大家先对 CXF 建立起直观的印象，并且能够写出自己的应用程序。然后再介绍 CXF 的类与 Spring 2.0 的简单整合，并且讲述如何使用 Web Services，从而能够在建立好程序的基础之上，增加业务逻辑，组建自己的 Web Services 应用程序。</p>
<p>您将学习：</p>
<ul>
<li>CXF 简介</li>
<li>CXF 安装包</li>
<li>CXF 之初体验</li>
<li>CXF 应用开发</li>
</ul>
<p><a>目标</a></p>
<p>学 完本教程后，您将不仅能够掌握 Apache CXF 的基本知识，可以用 CXF 编写基本的 Web Services，并且能够增加自己的业务逻辑，从而开发满足自己需求的 Web Services 应用，最重要的是学会与 Spring 2.0 框架的无缝整合，快速轻松地实现服务的发布与消费。</p>
<p>预备知识</p>
<p>要学习本教程，您需要有一定的编程经验，并了解面向对象的概念。同时您应该熟悉 Eclipse 开发环境，熟悉 Ant 的基本使用，熟悉基本的 Web 应用程序开发，熟悉基本的 Spring 概念与配置文件的编写。</p>
<p>系统需求</p>
<p>您需要一些工具才能试用本教程中的代码。所有这些工具都可以免费下载：</p>
<ul>
<li>Java SDK 1.5 或更高版本的 JDK；</li>
<li>Apache Ant 1.6.5 或更高版本；</li>
<li>Eclipse 3.2 或更高版本；</li>
<li>Apache CXF 2.0.2 版本。</li>
</ul>
<p>学习时间</p>
<p>1 小时</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 02:37:47</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>发表于dW的教程之开放源代码的服务框架 - Apache CXF 简介的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlWZaab.html" rel="bookmark">虚拟化、云计算、开放源代码及其他</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				借http://www.aliyun.com/zixun/aggregation/9847.html&quot;&gt;国庆长假的机会写了这篇长文,全面地整理了个人从虚拟化到云计算各个层面的看法.主要的内容涉及虚拟化.虚拟化管理.数据中心虚拟化.云计算.公有云与私有云.以及开放源代码.本文的全部内容均属于作者的个人观点,而不代表任何公司的观点.欢迎讨论. A.虚拟化 虚拟化是指在同一台物理机器上模拟多台虚拟机的能力.每台虚拟机在逻辑上拥有独立的处理器.内存.硬盘和网络接口.使用虚拟化技术能够提高硬件资源的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7nAqp.html" rel="bookmark">Borland加强对开放源代码平台Eclipse支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				源代码 软件交付最优化解决方案厂商 -- Borland软件公司进一步加强对开放源代码开发平台 Eclipse的支持.Eclipse平台被开放源代码支持者所广为称誉,是一个支持多语言的通用部署平台.Borland 加入 Eclipse 基金会(Eclipse Foundation)的董事会后,将以策略性开发者的身份,领导推动 Eclipse 技术的发展.Borland 还将组织一支全职开发队伍,专责扩展 Eclipse 平台,在软件模型等技术领域作出贡献.事实上,软件模型技术正是 Borland			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrE2yb.html" rel="bookmark">开放源代码将挑战甲骨文王国</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				甲骨文公司持续在数据库市场称霸,但分析师指出,开放源代码将成为该公司最大的对手. 市场研究公司IDC和Gartner均预测,关系性数据库管理系统(RDBMS)软件的全球业绩将持续成长,而企业数据储存需求仍是市场扩增的主要来源.该系统主要用于存储.操作或恢复数据. Gartner与IDC均在本周公布的全球2005年RDBMS软件销售报告中做出评估. 分析师表示,甲骨文王国的最大威胁将是MySQL等开放源代码竞争者.开放源代码软件的受欢迎,可能改变RDBMS产品现在的计价和授权方式,颠覆现状. Ga			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKEd1M.html" rel="bookmark">XML观察&colon;使用XML描述开放源代码项目 4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本系列的前面三篇文章中,我论述了 XML/RDF 词汇表 DOAP 的开发,DOAP 用于描述开发源代码项目以及相关的一些资源.通过使用 DOAP,软件维护人员不再需要在多个 Web 站点注册他们的程序.相反,他们可以简单地给出 DOAP 描述的 URL.随着更多的应用程序成为 DOAP 感知的应用程序,参与和管理开放源代码项目开启了新的可能性. 为达到这些目标,除了创建词汇表外,还要做更多的事情,这一点很重要.在这篇总结性的文章中,我从文档.工具和社区这几个方面考察了采用 DOAP 所需要的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKY6Vp.html" rel="bookmark">XML观察&colon;使用XML描述开放源代码项目 3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本系列的前两篇文章中,我分析了描述开放源代码项目的XML/RDF 词汇表的原理和设计问题.DOAP(Description of a Project,项目描述)词汇表应该能够满足项目维护者(他们发现需要在无数的网站上注册自己的软件)以及寻找并交换这类信息的人员的需要.第 1 部分列举了目前这方面的研究,定义了项目的边界.第 2 部分提出了词汇表的候选术语,并强调了一些设计问题. 本文将给出 DOAP 词汇表的初步草案,和一些项目的示例描述.本文中包含大量的例子,建议在阅读的过程中练习创建自己的D			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx8ZAb.html" rel="bookmark">XML观察&colon;使用XML描述开放源代码项目 2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本系列文章的 第 1 部分中,我提出了旨在建立 DOAP(项目的描述)的项目,一种描述开放源代码项目的 RDF/XML 词汇表.对于那些需要在无数个 Web 站点上注册软件的项目维护者,以及寻求交换这类信息的任何人而言,DOAP 将满足他们的需求.那篇文章列举了该领域已经进行的工作,并定义了这个项目的边界. 这一次,我将抽取包含在该词汇表中的一组术语,并讨论规定这类术语所固有的困难.我将说明能够在全球分享 DOAP 描述的美好目标对词汇表的设计所带来的影响. 凝炼术语 表 1 列出了对不同软件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRmjRz.html" rel="bookmark">XML观察&colon;使用XML描述开放源代码项目 1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开放源代码项目最伟大的一点是其本质上的民主性:任何人都很容易启动自己的项目,事实上经常如此!不幸的是,用户要找到适合自己用途的软件可能比较难.这一要求在过去一直通过不同的软件注册来满足.可能最出名的也是历史最悠久的软件注册是 Freshmeat,但还有更多,通常是针对更专门化的要求.比如,Free Software Foundation 的 FSF/UNESCO Free Software Directory.GNOME Software Map 以及 BioInformatics Softwa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrVrKM.html" rel="bookmark">Xdebug是一个开放源代码的PHP程序调试器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么需要Debugger? 很多PHP程序员调试使用echo.print_r().var_dump().printf()等,其实对于有较丰富开发经验的程序员来说这些也已经足够了,他们往往可以在程序执行的过程中,通过输出特定变量的值可以判断程序执行是否正确,甚至效率高低也可以看出来(当然可能还需要使用一些时间函数).那么我们为什么还需要一个专门的调试程序来监控我们的程序运行呢? 这个问题的答案不妨留到后面来揭晓. 什么是Xdebug? Xdebug是一个开放源代码的PHP程序调试器(即一个Deb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRgk5b.html" rel="bookmark">CA收购开放源代码应用程序性能测试企业BlazeMeter</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016年9月20日--格林尼治标准时间20:49(东八区标准时间04:49) CA公司在星期二表示,该公司已经收购了BlazeMeter,这是一家专注于开放源代码应用程序性能测试的企业.这笔交易让CA能够更好地在其应用程序性能和DevOps产品组合同开放源代码的努力之间架起一道桥梁. 这笔交易将扩充CA的DevOps产品组合和应用程序交付工具.这笔交易将于今年年底完成,交易的条款未被披露. BlazeMeter的开放源代码工具将被用于更好地将CA的技术同开发人员连接在一起.BlazeMeter			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkD3Ez.html" rel="bookmark" class="title">Flash教你制作可爱的小青蛙闹钟</a>
					<div>
						核心提示:这个Flash实例制作了一个可爱的&quot;小青蛙时钟&quot;动画,用到了Flash的基本绘图工具如椭圆.矩形.直线和任意变形等,操作简洁易懂,适合练习. 这个Flash实例制作了一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLP80p.html" rel="bookmark" class="title">Unix如何防止感染DOS系统病毒</a>
					<div>
						unix Unix是我国金融系统广泛应用的一种操作系统.虽然很少听说Unix会感染病毒,但在银行使用的业务应用系统还要支持很多其他业务,如代发工资等就要将办公系统Windows或DOS平台下制作的软盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaVqQM.html" rel="bookmark" class="title">2个页面间不通过Session与url的传值方式</a>
					<div>
						session|页面 下面是全部代码,已经编译通过.Chuandi(传递)是名字空间 WebForm1:&lt;%@ Page language=&quot;c#&quot; Codebehind=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y4QBz.html" rel="bookmark" class="title">DB2信息集成提速异构信息管理</a>
					<div>
						伴随着IT环境的日趋复杂化和多样化,现代企业面临着巨大的挑战:必须从现有的信息资产中获取更多的价值.这些信息资产存储在各种数据中,包括从电子邮件.电子表格.文本文件.平面文件.XML内容及语音邮件到来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NXK0z.html" rel="bookmark" class="title">在Visual C&plus;&plus;中定制AppWizard &lpar;二&rpar;</a>
					<div>
						第二部分 创建一个简单的AppWizard 在第一部分中我们介绍了Custom AppWizard的概念及其工作原理.在这一部分,我们将尝试用Custom AppWizards来创建一个最简单的Cus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62ojWM.html" rel="bookmark" class="title">用快车下载文件，使您的文件更加整洁</a>
					<div>
						下载器人人都有,但是您的下载器是不是最好的呢?当然每个人习惯的下载器都不一样,那我们这次就让您多认识一个下载器,让您有多一个选择吧! 采用基于业界领先的MHT和P4S下载技术,完全改变了传统下载方式, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGVxwp.html" rel="bookmark" class="title">win7系统硬盘图标如何修改</a>
					<div>
						  win7系统硬盘图标如何修改?默认情况下,win7硬盘图标都是系统默认设置好的,一些用户天天都看到一样的硬盘图标,觉得没个性,而且也看腻了.最近就有ghost win7系统用户想要把硬盘图标给改了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkdDWb.html" rel="bookmark" class="title">win7系统优化Power DVD播放效果的方法</a>
					<div>
						  1.首先我们需要先找到CyberLink PowerDVD的快捷方式,接着我们可以直接进入CyberLink PowerDVD; 2.当我们进入程序主界面的右上方点击小齿轮标志的按钮进入程序的设置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmZqmz.html" rel="bookmark" class="title">Win7浏览器禁用迅雷下载的方法</a>
					<div>
						  迅雷下载一直是市面上很热门的下载软件,不仅下载速度快,而且清晰度高,是个不错的播放器.但是很多人都在纳闷,为什么我们在网页上点击下载的时候,会自动选取迅雷下载,这其实是由于迅雷有下载链接嗅探功能, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6rj1b.html" rel="bookmark" class="title">YoMail邮件统计功能怎么使用</a>
					<div>
						格子啦小编觉得,工作都是繁忙的,日子过的像流沙,徐徐的流走,工作书写总结难免冥思苦想YoMail的邮件统计功能,可以帮我们自动记录同事.客户.亲友间的邮件往来数目,点击名称还能跳转邮件对话,往来邮件清 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ykEb.html" rel="bookmark" class="title">windows无法启动windows audio服务？</a>
					<div>
						  我电脑出现了音频服务未运行,而且没声音,在控制版面---管理工具----服务---windows audio里无法启动这个选项,提示windows无法启动windows audio服务 (位于本地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E8e4M.html" rel="bookmark" class="title">JavaScript设计模式之策略模式</a>
					<div>
						在网上搜索&quot;为什么MVC不是一种设计模式呢?&quot;其中有解答:MVC其实是三个经典设计模式的演变:观察者模式(Observer).策略模式(Strategy).组合模式(Composi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWjglp.html" rel="bookmark" class="title">c-采用深度优先搜索进行扑克牌的排序</a>
					<div>
						问题描述 采用深度优先搜索进行扑克牌的排序 #include&lt;iostream&gt; using namespace std; int count=0; int book[5]; char c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVQB6b.html" rel="bookmark" class="title">TLS隐藏的入口点</a>
					<div>
						TLS简介 1. 什么是TLS? TLS是Thread Local Storage(线程局部存储)的简称,是一项解决多线程内部变量使用问题的技术.用于将某些数据和一特定线程关联起来,即,这些数据为关联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ7xJb.html" rel="bookmark" class="title">关于dao层的封装和前端分页的结合（文章有点长，耐心点哦）</a>
					<div>
						任何一个封装讲究的是,实用,多状态. Action:     任何一个Action继承分页有关参数类PageManage,自然考虑的到分页效果,我们必须定义下几个分页的参数.并根据这个参数进行查值.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoZOjb.html" rel="bookmark" class="title">sql-bulk insert在SQL 2008中执行正确，但在MyEclipse中执行出现错误</a>
					<div>
						问题描述 bulk insert在SQL 2008中执行正确,但在MyEclipse中执行出现错误 bulk insert在SQL 2008中执行正确,但在MyEclipse中执行出现错误:由于无法打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40orjz.html" rel="bookmark" class="title">android studio 显示XML tag has empty body怎么解决？</a>
					<div>
						问题描述 android studio 显示XML tag has empty body怎么解决? &lt;permission android:name=&quot;&quot;eee&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKrLNb.html" rel="bookmark" class="title">二款jquery 上下滚动效果</a>
					<div>
						&lt;!doctype html public &quot;-//w3c//dtd xhtml 1.0 transitional//en&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRqBEb.html" rel="bookmark" class="title">&period;NET开发者常会忽略的几个错误</a>
					<div>
						在运用Visiol studio.NET 开发Web应用程式中,开发者常常会遇到一些问题:如我开发好的程式,在开发环境下测试没问题,怎么一搬到应用环境下,就会有问题?不是程式的无法运行,就是程式的效率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRRBjp.html" rel="bookmark" class="title">深圳计划两年建成中国软件名城</a>
					<div>
						[深圳商报讯](记者 陈姝)记者昨日了解到,深圳创建中国软件名城工作已在日前正式启动. 深圳创建中国软件名城的试点内容包括多层次.集约化的软件园区发展模式,全方位支撑服务平台建设,软件人才吸引.集聚和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwP25M.html" rel="bookmark" class="title">NodeJS制作爬虫全过程（续）&lowbar;node&period;js</a>
					<div>
						书接上回,我们需要修改程序以达到连续抓取40个页面的内容.也就是说我们需要输出每篇文章的标题.链接.第一条评论.评论用户和论坛积分. 如图所示,$('.reply_author').eq(0).tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodORjM.html" rel="bookmark" class="title">fragment-Fragment的一个细节问题</a>
					<div>
						问题描述 Fragment的一个细节问题 public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkg0AM.html" rel="bookmark" class="title">asp&period;net中使用vb&period;net编程读取oracle数据库</a>
					<div>
						问题描述 asp.net中使用vb.net编程读取oracle数据库 小弟刚学asp.net现在数据库连接完成,我在某一列插入了数据,我想在页面中读取出来,我使用的代码为 Dim sqlStr As  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b223XBb.html" rel="bookmark" class="title">nginx&plus;php上传图片失败</a>
					<div>
						问题描述 nginx+php上传图片失败 系统记录错误日志&quot;385 FastCGI sent in stderr: &quot;PHP Warning: File upload error  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWj4EM.html" rel="bookmark" class="title">《C专家编程》一1&period;6　它很棒，但它符合标准吗</a>
					<div>
						1.6 它很棒,但它符合标准吗 不要添乱--立即解散ISO工作小组. --匿名人士 ANSI C标准可以说是非常独特的,我们可以从好几个有趣的方面来说明这一点.它定义了下面一些术语,用于描述某种编译器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL6oNM.html" rel="bookmark" class="title">111-Loadrunner action错误</a>
					<div>
						问题描述 Loadrunner action错误 在使用Loadrunner是弹出action错误窗口?求解?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zxnvb.html" rel="bookmark" class="title">浅谈网站站长如何做才能够留住用户</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 每个站长每天都围着搜索引擎打转,每 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqRvWp.html" rel="bookmark" class="title">详解最好的&period;NET开源免费ZIP库DotNetZip（&period;NET组件介绍之三）&lowbar;实用技巧</a>
					<div>
						在项目开发中,除了对数据的展示更多的就是对文件的相关操作,例如文件的创建和删除,以及文件的压缩和解压.文件压缩的好处有很多,主要就是在文件传输的方面,文件压缩的好处就不需要赘述,因为无论是开发者,还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8j9Ab.html" rel="bookmark" class="title">环信CEO：SaaStr Annual 2017分享，AI正在吃掉软件！</a>
					<div>
						硅谷著名的投资人马克·安德森曾经说过一句话&quot;软件正在吃掉世界&quot;.北京时间2月9日在美国SaaS[注]tr Annual 2017大会现场,红点合伙人Tomasz Tunguz做了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NywPz.html" rel="bookmark" class="title">SSL handshake failed&colon; Secure connection truncated</a>
					<div>
						问题描述 mkdir--parents-m&quot;初始导入.&quot;https://192.168.1.126/svn/travelersbbsRAlayerrequestfailedsvn: ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
